xine-lib: video_overlay_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
video_overlay_s Struct Reference

## Data Fields
video_overlay_manager_t | video_overlay
xine_t * | xine
int64_t | last_vpts
struct { |
video_overlay_event_t buf [MAX_EVENTS] |
uint8_t last_hide [MAX_OBJECTS] |
pthread_mutex_t mutex_wait |
xine_sarray_t * wait |
int64_t first_vpts |
pthread_mutex_t mutex_free |
uint8_t list_free [MAX_EVENTS+3] |
} | event |
struct { |
video_overlay_object_t buf [MAX_OBJECTS] |
_video_overlay_node_t indx_f [MAX_OBJECTS+_VOVL_LAST] |
} | objects |
struct { |
pthread_mutex_t mutex |
int8_t indx_r [MAX_OBJECTS] |
_video_overlay_node_t indx_f [MAX_SHOWING+_VOVL_LAST] |
int8_t handle [MAX_SHOWING] |
int have |
int changed |
} | showing |

## Field Documentation

## ◆ buf [1/2]

video_overlay_event_t video_overlay_s::buf[MAX_EVENTS]

## ◆ buf [2/2]

video_overlay_object_t video_overlay_s::buf[MAX_OBJECTS]

## ◆ changed

int video_overlay_s::changed

## ◆ [struct]

struct { ... } video_overlay_s::event

## ◆ first_vpts

int64_t video_overlay_s::first_vpts

## ◆ handle

int8_t video_overlay_s::handle[MAX_SHOWING]

## ◆ have

int video_overlay_s::have

## ◆ indx_f

_video_overlay_node_t video_overlay_s::indx_f[MAX_SHOWING+_VOVL_LAST]

## ◆ indx_r

int8_t video_overlay_s::indx_r[MAX_OBJECTS]

## ◆ last_hide

uint8_t video_overlay_s::last_hide[MAX_OBJECTS]

## ◆ last_vpts

int64_t video_overlay_s::last_vpts

## ◆ list_free

uint8_t video_overlay_s::list_free[MAX_EVENTS+3]

Referenced by _vovl_event_free_reset().

## ◆ mutex

pthread_mutex_t video_overlay_s::mutex

## ◆ mutex_free

pthread_mutex_t video_overlay_s::mutex_free

## ◆ mutex_wait

pthread_mutex_t video_overlay_s::mutex_wait

## ◆ [struct]

struct { ... } video_overlay_s::objects

## ◆ [struct]

struct { ... } video_overlay_s::showing

## ◆ video_overlay

video_overlay_manager_t video_overlay_s::video_overlay

## ◆ wait

xine_sarray_t* video_overlay_s::wait

## ◆ xine

xine_t* video_overlay_s::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/video_overlay.c